#!/bin/bash

if [[ "$(uname -a | grep -ic 'darwin')" == "1" ]]; then
	# darwin
	echo "The current hostname is ${HOSTNAME}"
	echo "Type the new hostname you want for your machine, then press [ENTER]:"
	read newhostname

	sudo scutil --set ComputerName    "${newhostname}"
	sudo scutil --set HostName        "${newhostname}"
	sudo scutil --set LocalHostName	  "${newhostname}"

	echo "The new hostname is ${newhostname}"
	echo "Try logging out and back in."
else
	# linux
	echo "The current hostname is" $(cat /etc/hostname)
	
	echo "Type the new hostname you want for your machine, then press [ENTER]:"
	read newhostname
	
	hostname $newhostname 
	echo $newhostname > /etc/hostname
	echo "The new hostname is ${HOSTNAME}"
	echo "The new hostname is" $(cat /etc/hostname)
	echo "Try logging out and back in."
fi
